### Function

# GLib log_writer_default_set_debug_domains

since: 2.80

#### Declaration [src]

    void
    g_log_writer_default_set_debug_domains (
      const gchar* const* domains
    )

#### Description [src]

Reset the list of domains to be logged, that might be initially set by the `G_MESSAGES_DEBUG` or `DEBUG_INVOCATION` environment variables.

This function is thread-safe.

Available since: 2.80

#### Parameters

`domains`

  Type: `const gchar* const*`

  `NULL`-terminated array with domains to be printed. `NULL` or an array with no values means none. Array with a single value `"all"` means all.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.